> ## Documentation Index
> Fetch the complete documentation index at: https://omo-3bacc298.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Chats

> Get the authenticated user's chat history



## OpenAPI

````yaml get /v1/chats/
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/chats/:
    get:
      tags:
        - chat
      summary: Get User Chats
      description: Get the authenticated user's chat history
      operationId: get_user_chats_v1_chats__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ChatHistoryResponseModel'
                type: array
                title: Response Get User Chats V1 Chats  Get
components:
  schemas:
    ChatHistoryResponseModel:
      properties:
        id:
          type: integer
          title: Id
        chat_id:
          type: string
          title: Chat Id
        title:
          type: string
          title: Title
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - chat_id
        - title
        - updated_at
      title: ChatHistoryResponseModel

````